{
  "name": "kukkuu-ui",
  "version": "1.6.0",
  "license": "MIT",
  "contributors": [
    "Bernt Andreas Drange",
    "Chi Nguyen",
    "jpsalo",
    "Kimmo Virtanen",
    "Tuomas Haapala"
  ],
  "private": true,
  "dependencies": {
    "@apollo/client": "^3.2.1",
    "@datapunt/matomo-tracker-react": "^0.1.5",
    "@reduxjs/toolkit": "^1.4.0",
    "@sentry/browser": "^5.19.1",
    "@testing-library/react": "^11.0.4",
    "@testing-library/testcafe": "^4.2.3",
    "@types/classnames": "^2.2.10",
    "@types/enzyme-adapter-react-16": "^1.0.6",
    "@types/jest": "26.0.10",
    "@types/lodash": "^4.14.157",
    "@types/node": "14.6.0",
    "@types/react": "16.9.46",
    "@types/react-dom": "16.9.8",
    "@types/react-modal": "^3.10.6",
    "@types/react-redux": "^7.1.9",
    "@types/react-router-dom": "^5.1.5",
    "@types/react-transition-group": "^4.4.0",
    "@types/validator": "^13.1.0",
    "@types/yup": "^0.29.5",
    "axios": "^0.19.2",
    "classnames": "^2.2.6",
    "enzyme": "^3.11.0",
    "enzyme-adapter-react-16": "^1.15.2",
    "enzyme-to-json": "^3.4.4",
    "finally-polyfill": "^0.2.0",
    "formik": "^2.1.4",
    "graphql": "^14.5.8",
    "graphql-tag": "^2.10.4",
    "hds-core": "^0.12.1",
    "hds-design-tokens": "^0.13.0",
    "hds-react": "0.16.0",
    "helsinki-utils": "City-of-Helsinki/helsinki-utils-js.git#0.1.0",
    "i18next": "^19.7.0",
    "i18next-browser-languagedetector": "^6.0.1",
    "lodash": "^4.17.20",
    "moment": "^2.27.0",
    "node-sass": "^4.14.1",
    "oidc-client": "^1.10.1",
    "react": "^16.13.1",
    "react-dom": "^16.13.1",
    "react-helmet-async": "^1.0.6",
    "react-i18next": "^11.7.0",
    "react-modal": "^3.11.2",
    "react-qrcode-logo": "^2.2.1",
    "react-redux": "^7.2.0",
    "react-router": "^5.2.0",
    "react-router-dom": "^5.2.0",
    "react-scripts": "3.4.4",
    "react-toastify": "^6.0.8",
    "react-transition-group": "^4.4.1",
    "redux-oidc": "^4.0.0-beta1",
    "redux-persist": "^6.0.0",
    "testcafe": "^1.9.4",
    "typescript": "3.9.7",
    "validator": "^13.1.1",
    "yup": "^0.29.1"
  },
  "resolutions": {
    "graphql": "^14.6.0"
  },
  "scripts": {
    "build": "react-scripts build",
    "graphql-types": "apollo client:codegen --target=typescript --no-addTypename --outputFlat src/domain/api/generatedTypes",
    "lint": "eslint --ext js,ts,tsx src",
    "format:scss": "prettier --config .prettierrc.json --write src/**/*.scss",
    "start": "react-scripts start",
    "update-translations": "fetch-translations 18dpV7aA-t_6zMRUO5hP7DMfx0q4hdu-AlLpRjkB_0zI -l en,fi,sv -o src/common/translation/i18n",
    "test": "TZ=UTC react-scripts test --env=jest-environment-jsdom-fourteen",
    "test:debug": "react-scripts --inspect-brk test --runInBand --no-cache",
    "test:browser": "testcafe \"chrome --window-size='1920,1080'\" browser-tests/ --live --lang=fi-FI",
    "test:browser:ci": "testcafe \"chrome:headless --disable-gpu --window-size='1920,1080'\" browser-tests/ -s takeOnFails=true --lang=fi-FI"
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "apollo": "^2.28.3",
    "codecov": "^3.7.1",
    "eslint-config-prettier": "^6.11.0",
    "eslint-plugin-prettier": "^3.1.4",
    "jest-fetch-mock": "^3.0.3",
    "prettier": "^2.0.5"
  },
  "jest": {
    "collectCoverageFrom": [
      "src/**/*.{ts,tsx}",
      "!<rootDir>/node_modules/",
      "!src/index.tsx",
      "!src/domain/api/generatedTypes",
      "!src/serviceWorker.ts",
      "!src/setupTests.ts"
    ]
  }
}
